All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
gerschgorin.hpp File Reference

Computation of Gerschgorin interval for symmetric, tridiagonal matrix. More...

`#include <cstdio>`
`#include <cstdlib>`
`#include <cmath>`
`#include <cfloat>`
`#include "viennacl/linalg/detail/bisect/util.hpp"`
`#include "viennacl/vector.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.

## Functions

template<typename NumericT >
void | viennacl::linalg::detail::computeGerschgorin (std::vector< NumericT > &d, std::vector< NumericT > &s, unsigned int n, NumericT &lg, NumericT &ug)

## Detailed Description

Computation of Gerschgorin interval for symmetric, tridiagonal matrix.

Implementation based on the sample provided with the CUDA 6.0 SDK, for which the creation of derivative works is allowed by including the following statement: "This software contains source code provided by NVIDIA Corporation."

Definition in file gerschgorin.hpp.